Subject: [PATCH 1/4] OMAP: introduce OPP layer for device-specific OPPs

From: [email-masked] (Nishanth Menon)
Date: Thu, 16 Sep 2010 12:10:06 -0500

Linus Walleij had written, on 09/16/2010 12:07 PM, the following:
> 2010/9/16 Kevin Hilman <[email-masked]>:
> 
>> lib/opp/* seems more appropriate to me with the header at
>> include/linux/opp.h as Linus suggested.
> 
> I second this. I would love to see the generic OPP stuff in
> lib/opp/* so we put it in the right place from the beginning and
> don't have to painfully refactor everything later (clk.h
> especially comes to mind.)
cool.. digging a bit deeper into lib directory, I propose the following:
lib/opp.c
include/linux/opp.h

any soc specific data (for registration etc) -> goes to 
arch/<arch>/mach-<soc>/oppdata_xyz.c or what ever they choose

the intent being lib/ is no place to put mach or arch specific data 
definitions.. it is just noise..

if folks are ok with this, will post a new rev soonish..

-- 
Regards,
Nishanth Menon